## org.eclipse.uml2.uml.util
Class UMLUtil.UML2EcoreConverter

    java.lang.Object
      org.eclipse.uml2.uml.util.UMLSwitch<java.lang.Object>
          org.eclipse.uml2.uml.util.UMLUtil.UML2EcoreConverter

All Implemented Interfaces:
  UML2Util.Converter

Direct Known Subclasses:
  UMLUtil.Profile2EPackageConverter

Enclosing class:
  UMLUtil

    public static class UMLUtil.UML2EcoreConverter

extends UMLSwitch<java.lang.Object>
implements UML2Util.Converter

A converter that converts UML elements to representative Ecore model elements.

Nested Class Summary
`protected class` `UMLUtil.UML2EcoreConverter.ETypeMatcher`
`protected class` `UMLUtil.UML2EcoreConverter.NameMatcher`
`protected class` `UMLUtil.UML2EcoreConverter.SignatureMatcher`

Field Summary
`protected static java.util.regex.Pattern` `ANNOTATION_DETAIL_PATTERN`
`static int` `ANNOTATION_DETAILS` The diagnostic code for cases where annotation details are encountered.
`protected static java.util.regex.Pattern` `ANNOTATION_PATTERN`
`static int` `CAMEL_CASE_NAME` The diagnostic code for cases where names are not camel case.
`static int` `COMMENT` The diagnostic code for cases where comments are encountered.
`protected java.util.Map<java.lang.Object,java.lang.Object>` `context`
`static int` `DERIVED_FEATURE` The diagnostic code for cases where a derived feature is encountered.
`protected org.eclipse.emf.common.util.DiagnosticChain` `diagnostics`
`static int` `DUPLICATE_FEATURE` The diagnostic code for cases where a duplicate feature is detected.
`static int` `DUPLICATE_FEATURE_INHERITANCE` The diagnostic code for cases where a feature is inherited more than once.
`static int` `DUPLICATE_OPERATION` The diagnostic code for cases where a duplicate operation is detected.
`static int` `DUPLICATE_OPERATION_INHERITANCE` The diagnostic code for cases where an operation is inherited more than once.
`static int` `ECORE_TAGGED_VALUE` The diagnostic code for cases where an Ecore tagged value is encountered.
`protected java.util.Map<Element,org.eclipse.emf.ecore.EModelElement>` `elementToEModelElementMap`
`static int` `INVARIANT_CONSTRAINT` The diagnostic code for cases where invariant constraints are encountered.
`static int` `OPERATION_BODY` The diagnostic code for cases where operation body details are encountered.
`static java.lang.String` `OPTION__ANNOTATION_DETAILS` The option for handling cases where annotation details are encountered.
`static java.lang.String` `OPTION__CAMEL_CASE_NAMES` The option for handling cases where names are not camel case.
`static java.lang.String` `OPTION__COMMENTS` The option for handling cases where comments are encountered.
`static java.lang.String` `OPTION__DERIVED_FEATURES` The option for handling cases where a derived feature is encountered.
`static java.lang.String` `OPTION__DUPLICATE_FEATURE_INHERITANCE` The option for handling cases where a feature is inherited more than once.
`static java.lang.String` `OPTION__DUPLICATE_FEATURES` The option for handling cases where a duplicate feature is detected.
`static java.lang.String` `OPTION__DUPLICATE_OPERATION_INHERITANCE` The option for handling cases where an operation is inherited more than once.
`static java.lang.String` `OPTION__DUPLICATE_OPERATIONS` The option for handling cases where a duplicate operation is detected.
`static java.lang.String` `OPTION__ECORE_TAGGED_VALUES` The option for handling cases where an Ecore tagged value is encountered.
`static java.lang.String` `OPTION__INVARIANT_CONSTRAINTS` The option for handling cases where invariant constraints are encountered.
`static java.lang.String` `OPTION__OPERATION_BODIES` The option for handling cases where operation bodies are encountered.
`static java.lang.String` `OPTION__REDEFINING_OPERATIONS` The option for handling cases where a redefining operation is encountered.
`static java.lang.String` `OPTION__REDEFINING_PROPERTIES` The option for handling cases where a redefining property is encountered.
`static java.lang.String` `OPTION__SUBSETTING_PROPERTIES` The option for handling cases where a subsetting property is encountered.
`static java.lang.String` `OPTION__SUPER_CLASS_ORDER` The option for handling cases where superclasses are not ordered.
`static java.lang.String` `OPTION__UNION_PROPERTIES` The option for handling cases where a derived union property is encountered.
`protected java.util.Map<java.lang.String,java.lang.String>` `options`
`protected java.util.Collection<Package>` `packages`
`static int` `REDEFINING_OPERATION` The diagnostic code for cases where a redefining operation is encountered.
`static int` `REDEFINING_PROPERTY` The diagnostic code for cases where a redefining property is encountered.
`static int` `SUBSETTING_PROPERTY` The diagnostic code for cases where a subsetting property is encountered.
`static int` `SUPER_CLASS_ORDER` The diagnostic code for cases where superclasses are not ordered.
`static int` `UNION_PROPERTY` The diagnostic code for cases where a derived union property is encountered.

Fields inherited from class org.eclipse.uml2.uml.util.UMLSwitch
`modelPackage`

Constructor Summary
`UMLUtil.UML2EcoreConverter()`

Method Summary
`java.lang.Object` `caseClass(Class class_)` Returns the result of interpreting the object as an instance of 'Class'
`java.lang.Object` `caseComment(Comment comment)` Returns the result of interpreting the object as an instance of 'Comment'
`java.lang.Object` `caseConstraint(Constraint constraint)` Returns the result of interpreting the object as an instance of 'Constraint'
`java.lang.Object` `caseDataType(DataType dataType)` Returns the result of interpreting the object as an instance of 'Data Type'
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement eModelElement)` Returns the result of interpreting the object as an instance of 'EModel Element'
`java.lang.Object` `caseEnumeration(Enumeration enumeration)` Returns the result of interpreting the object as an instance of 'Enumeration'
`java.lang.Object` `caseEnumerationLiteral(EnumerationLiteral enumerationLiteral)` Returns the result of interpreting the object as an instance of 'Enumeration Literal'
`java.lang.Object` `caseGeneralization(Generalization generalization)` Returns the result of interpreting the object as an instance of 'Generalization'
`java.lang.Object` `caseInterface(Interface interface_)` Returns the result of interpreting the object as an instance of 'Interface'
`java.lang.Object` `caseInterfaceRealization(InterfaceRealization interfaceRealization)` Returns the result of interpreting the object as an instance of 'Interface Realization'
`java.lang.Object` `caseMultiplicityElement(MultiplicityElement multiplicityElement)` Returns the result of interpreting the object as an instance of 'Multiplicity Element'
`java.lang.Object` `caseOperation(Operation operation)` Returns the result of interpreting the object as an instance of 'Operation'
`java.lang.Object` `casePackage(Package package_)` Returns the result of interpreting the object as an instance of 'Package'
`java.lang.Object` `caseParameter(Parameter parameter)` Returns the result of interpreting the object as an instance of 'Parameter'
`java.lang.Object` `caseParameterableElement(ParameterableElement parameterableElement)` Returns the result of interpreting the object as an instance of 'Parameterable Element'
`java.lang.Object` `casePrimitiveType(PrimitiveType primitiveType)` Returns the result of interpreting the object as an instance of 'Primitive Type'
`java.lang.Object` `caseProperty(Property property)` Returns the result of interpreting the object as an instance of 'Property'
`java.lang.Object` `caseTemplateParameter(TemplateParameter templateParameter)` Returns the result of interpreting the object as an instance of 'Template Parameter'
`java.lang.Object` `caseTemplateSignature(TemplateSignature templateSignature)` Returns the result of interpreting the object as an instance of 'Template Signature'
`java.lang.Object` `caseTypedElement(TypedElement typedElement)` Returns the result of interpreting the object as an instance of 'Typed Element'

`java.util.Collection<? extends org.eclipse.emf.ecore.EObject>`

`convert(java.util.Collection<? extends org.eclipse.emf.ecore.EObject> eObjects, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
Converts the specified objects using the specified options, reporting problems to the specified diagnostics, within the specified context.

`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject eObject)` Returns the result of interpreting the object as an instance of 'EObject'
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject eObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected void` `ensureConformity(org.eclipse.emf.ecore.ETypedElement eTypedElement, org.eclipse.emf.ecore.ETypedElement otherETypedElement)`
`protected Stereotype` `getAppliedEcoreStereotype(Element element, java.lang.String name)`
`protected org.eclipse.emf.ecore.EGenericType` `getEGenericType(Type type)`
`protected org.eclipse.emf.ecore.EClassifier` `getEType(Type type)`
`protected org.eclipse.emf.ecore.EClassifier` `getEType(TypedElement typedElement)`
`protected org.eclipse.emf.ecore.ETypeParameter` `getETypeParameter(Type type)`
`protected boolean` `isCompositeSubset(Property property)`
`protected boolean` `isEClass(Namespace namespace)`
`static boolean` `isEDataType(Namespace namespace)`
`protected boolean` `isEGenericType(Classifier classifier)`
`protected void` `processAnnotationDetails(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processComment(org.eclipse.emf.ecore.EModelElement eModelElement, java.lang.String comment, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processDerivedFeatures(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processDuplicateFeatureInheritance(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processDuplicateFeatures(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processDuplicateOperationInheritance(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processDuplicateOperations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValue(org.eclipse.emf.ecore.EModelElement eModelElement, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, Element element, Stereotype stereotype, java.lang.String propertyName, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EClassifier eClassifier, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EEnum eEnum, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EEnumLiteral eEnumLiteral, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EGenericType eGenericType, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EOperation eOperation, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EPackage ePackage, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EParameter eParameter, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.ETypeParameter eTypeParameter, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processEcoreTaggedValues(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected org.eclipse.emf.ecore.EModelElement` `processInvariantConstraint(org.eclipse.emf.ecore.EClassifier eClassifier, Constraint constraint, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processOperationBodies(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processOperationBody(org.eclipse.emf.ecore.EOperation eOperation, org.eclipse.emf.common.util.EList<java.lang.String> languages, org.eclipse.emf.common.util.EList<java.lang.String> bodies, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processOptions(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processRedefiningOperations(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processRedefiningProperties(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processSubsettingProperties(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processSuperClassOrder(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `processUnionProperties(java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `qualifyName(org.eclipse.emf.ecore.ENamedElement eNamedElement)`
`protected void` `qualifyName(org.eclipse.emf.ecore.ENamedElement eNamedElement, java.lang.String qualifier)`
`protected void` `setName(org.eclipse.emf.ecore.ENamedElement eNamedElement, NamedElement namedElement)`
`protected void` `setName(org.eclipse.emf.ecore.ENamedElement eNamedElement, java.lang.String name, boolean validate)`

Methods inherited from class org.eclipse.uml2.uml.util.UMLSwitch

`caseAbstraction, caseAcceptCallAction, caseAcceptEventAction, caseAction, caseActionExecutionSpecification, caseActionInputPin, caseActivity, caseActivityEdge, caseActivityFinalNode, caseActivityGroup, caseActivityNode, caseActivityParameterNode, caseActivityPartition, caseActor, caseAddStructuralFeatureValueAction, caseAddVariableValueAction, caseAnyReceiveEvent, caseArtifact, caseAssociation, caseAssociationClass, caseBehavior, caseBehavioralFeature, caseBehavioredClassifier, caseBehaviorExecutionSpecification, caseBroadcastSignalAction, caseCallAction, caseCallBehaviorAction, caseCallEvent, caseCallOperationAction, caseCentralBufferNode, caseChangeEvent, caseClassifier, caseClassifierTemplateParameter, caseClause, caseClearAssociationAction, caseClearStructuralFeatureAction, caseClearVariableAction, caseCollaboration, caseCollaborationUse, caseCombinedFragment, caseCommunicationPath, caseComponent, caseComponentRealization, caseConditionalNode, caseConnectableElement, caseConnectableElementTemplateParameter, caseConnectionPointReference, caseConnector, caseConnectorEnd, caseConsiderIgnoreFragment, caseContinuation, caseControlFlow, caseControlNode, caseCreateLinkAction, caseCreateLinkObjectAction, caseCreateObjectAction, caseCreationEvent, caseDataStoreNode, caseDecisionNode, caseDependency, caseDeployedArtifact, caseDeployment, caseDeploymentSpecification, caseDeploymentTarget, caseDestroyLinkAction, caseDestroyObjectAction, caseDestructionEvent, caseDevice, caseDirectedRelationship, caseDuration, caseDurationConstraint, caseDurationInterval, caseDurationObservation, caseElement, caseElementImport, caseEncapsulatedClassifier, caseEvent, caseExceptionHandler, caseExecutableNode, caseExecutionEnvironment, caseExecutionEvent, caseExecutionOccurrenceSpecification, caseExecutionSpecification, caseExpansionNode, caseExpansionRegion, caseExpression, caseExtend, caseExtension, caseExtensionEnd, caseExtensionPoint, caseFeature, caseFinalNode, caseFinalState, caseFlowFinalNode, caseForkNode, caseFunctionBehavior, caseGate, caseGeneralizationSet, caseGeneralOrdering, caseImage, caseInclude, caseInformationFlow, caseInformationItem, caseInitialNode, caseInputPin, caseInstanceSpecification, caseInstanceValue, caseInteraction, caseInteractionConstraint, caseInteractionFragment, caseInteractionOperand, caseInteractionUse, caseInterruptibleActivityRegion, caseInterval, caseIntervalConstraint, caseInvocationAction, caseJoinNode, caseLifeline, caseLinkAction, caseLinkEndCreationData, caseLinkEndData, caseLinkEndDestructionData, caseLiteralBoolean, caseLiteralInteger, caseLiteralNull, caseLiteralSpecification, caseLiteralString, caseLiteralUnlimitedNatural, caseLoopNode, caseManifestation, caseMergeNode, caseMessage, caseMessageEnd, caseMessageEvent, caseMessageOccurrenceSpecification, caseModel, caseNamedElement, caseNamespace, caseNode, caseObjectFlow, caseObjectNode, caseObservation, caseOccurrenceSpecification, caseOpaqueAction, caseOpaqueBehavior, caseOpaqueExpression, caseOperationTemplateParameter, caseOutputPin, casePackageableElement, casePackageImport, casePackageMerge, caseParameterSet, casePartDecomposition, casePin, casePort, caseProfile, caseProfileApplication, caseProtocolConformance, caseProtocolStateMachine, caseProtocolTransition, casePseudostate, caseQualifierValue, caseRaiseExceptionAction, caseReadExtentAction, caseReadIsClassifiedObjectAction, caseReadLinkAction, caseReadLinkObjectEndAction, caseReadLinkObjectEndQualifierAction, caseReadSelfAction, caseReadStructuralFeatureAction, caseReadVariableAction, caseRealization, caseReceiveOperationEvent, caseReceiveSignalEvent, caseReception, caseReclassifyObjectAction, caseRedefinableElement, caseRedefinableTemplateSignature, caseReduceAction, caseRegion, caseRelationship, caseRemoveStructuralFeatureValueAction, caseRemoveVariableValueAction, caseReplyAction, caseSendObjectAction, caseSendOperationEvent, caseSendSignalAction, caseSendSignalEvent, caseSequenceNode, caseSignal, caseSignalEvent, caseSlot, caseStartClassifierBehaviorAction, caseState, caseStateInvariant, caseStateMachine, caseStereotype, caseStringExpression, caseStructuralFeature, caseStructuralFeatureAction, caseStructuredActivityNode, caseStructuredClassifier, caseSubstitution, caseTemplateableElement, caseTemplateBinding, caseTemplateParameterSubstitution, caseTestIdentityAction, caseTimeConstraint, caseTimeEvent, caseTimeExpression, caseTimeInterval, caseTimeObservation, caseTransition, caseTrigger, caseType, caseUnmarshallAction, caseUsage, caseUseCase, caseValuePin, caseValueSpecification, caseValueSpecificationAction, caseVariable, caseVariableAction, caseVertex, caseWriteLinkAction, caseWriteStructuralFeatureAction, caseWriteVariableAction, doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION__ECORE_TAGGED_VALUES

    public static final java.lang.String OPTION__ECORE_TAGGED_VALUES

  The option for handling cases where an Ecore tagged value is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__REDEFINING_OPERATIONS

    public static final java.lang.String OPTION__REDEFINING_OPERATIONS

  The option for handling cases where a redefining operation is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__REDEFINING_PROPERTIES

    public static final java.lang.String OPTION__REDEFINING_PROPERTIES

  The option for handling cases where a redefining property is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__SUBSETTING_PROPERTIES

    public static final java.lang.String OPTION__SUBSETTING_PROPERTIES

  The option for handling cases where a subsetting property is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__UNION_PROPERTIES

    public static final java.lang.String OPTION__UNION_PROPERTIES

  The option for handling cases where a derived union property is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__DERIVED_FEATURES

    public static final java.lang.String OPTION__DERIVED_FEATURES

  The option for handling cases where a derived feature is encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__DUPLICATE_OPERATIONS

    public static final java.lang.String OPTION__DUPLICATE_OPERATIONS

  The option for handling cases where a duplicate operation is detected. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, `OPTION__DISCARD`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__DUPLICATE_OPERATION_INHERITANCE

    public static final java.lang.String OPTION__DUPLICATE_OPERATION_INHERITANCE

  The option for handling cases where an operation is inherited more than once. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, `OPTION__DISCARD`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__DUPLICATE_FEATURES

    public static final java.lang.String OPTION__DUPLICATE_FEATURES

  The option for handling cases where a duplicate feature is detected. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, `OPTION__DISCARD`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__DUPLICATE_FEATURE_INHERITANCE

    public static final java.lang.String OPTION__DUPLICATE_FEATURE_INHERITANCE

  The option for handling cases where a feature is inherited more than once. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, `OPTION__DISCARD`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__SUPER_CLASS_ORDER

    public static final java.lang.String OPTION__SUPER_CLASS_ORDER

  The option for handling cases where superclasses are not ordered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__ANNOTATION_DETAILS

    public static final java.lang.String OPTION__ANNOTATION_DETAILS

  The option for handling cases where annotation details are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__INVARIANT_CONSTRAINTS

    public static final java.lang.String OPTION__INVARIANT_CONSTRAINTS

  The option for handling cases where invariant constraints are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__OPERATION_BODIES

    public static final java.lang.String OPTION__OPERATION_BODIES

  The option for handling cases where operation bodies are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__COMMENTS

    public static final java.lang.String OPTION__COMMENTS

  The option for handling cases where comments are encountered. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### OPTION__CAMEL_CASE_NAMES

    public static final java.lang.String OPTION__CAMEL_CASE_NAMES

  The option for handling cases where names are not camel case. Supported choices are `OPTION__IGNORE`, `OPTION__REPORT`, and `OPTION__PROCESS`.

  See Also:
    Constant Field Values

### ECORE_TAGGED_VALUE

    public static final int ECORE_TAGGED_VALUE

  The diagnostic code for cases where an Ecore tagged value is encountered.

  See Also:
    Constant Field Values

### REDEFINING_OPERATION

    public static final int REDEFINING_OPERATION

  The diagnostic code for cases where a redefining operation is encountered.

  See Also:
    Constant Field Values

### REDEFINING_PROPERTY

    public static final int REDEFINING_PROPERTY

  The diagnostic code for cases where a redefining property is encountered.

  See Also:
    Constant Field Values

### SUBSETTING_PROPERTY

    public static final int SUBSETTING_PROPERTY

  The diagnostic code for cases where a subsetting property is encountered.

  See Also:
    Constant Field Values

### UNION_PROPERTY

    public static final int UNION_PROPERTY

  The diagnostic code for cases where a derived union property is encountered.

  See Also:
    Constant Field Values

### DERIVED_FEATURE

    public static final int DERIVED_FEATURE

  The diagnostic code for cases where a derived feature is encountered.

  See Also:
    Constant Field Values

### DUPLICATE_OPERATION

    public static final int DUPLICATE_OPERATION

  The diagnostic code for cases where a duplicate operation is detected.

  See Also:
    Constant Field Values

### DUPLICATE_OPERATION_INHERITANCE

    public static final int DUPLICATE_OPERATION_INHERITANCE

  The diagnostic code for cases where an operation is inherited more than once.

  See Also:
    Constant Field Values

### DUPLICATE_FEATURE

    public static final int DUPLICATE_FEATURE

  The diagnostic code for cases where a duplicate feature is detected.

  See Also:
    Constant Field Values

### DUPLICATE_FEATURE_INHERITANCE

    public static final int DUPLICATE_FEATURE_INHERITANCE

  The diagnostic code for cases where a feature is inherited more than once.

  See Also:
    Constant Field Values

### SUPER_CLASS_ORDER

    public static final int SUPER_CLASS_ORDER

  The diagnostic code for cases where superclasses are not ordered.

  See Also:
    Constant Field Values

### ANNOTATION_DETAILS

    public static final int ANNOTATION_DETAILS

  The diagnostic code for cases where annotation details are encountered.

  See Also:
    Constant Field Values

### INVARIANT_CONSTRAINT

    public static final int INVARIANT_CONSTRAINT

  The diagnostic code for cases where invariant constraints are encountered.

  See Also:
    Constant Field Values

### OPERATION_BODY

    public static final int OPERATION_BODY

  The diagnostic code for cases where operation body details are encountered.

  See Also:
    Constant Field Values

### COMMENT

    public static final int COMMENT

  The diagnostic code for cases where comments are encountered.

  See Also:
    Constant Field Values

### CAMEL_CASE_NAME

    public static final int CAMEL_CASE_NAME

  The diagnostic code for cases where names are not camel case.

  See Also:
    Constant Field Values

### ANNOTATION_PATTERN

    protected static final java.util.regex.Pattern ANNOTATION_PATTERN

### ANNOTATION_DETAIL_PATTERN

    protected static final java.util.regex.Pattern ANNOTATION_DETAIL_PATTERN

### elementToEModelElementMap

    protected final java.util.Map<Element,org.eclipse.emf.ecore.EModelElement> elementToEModelElementMap

### packages

    protected java.util.Collection<Package> packages

### options

    protected java.util.Map<java.lang.String,java.lang.String> options

### diagnostics

    protected org.eclipse.emf.common.util.DiagnosticChain diagnostics

### context

    protected java.util.Map<java.lang.Object,java.lang.Object> context

Constructor Detail

### UMLUtil.UML2EcoreConverter

    public UMLUtil.UML2EcoreConverter()

Method Detail

### setName

    protected void setName(org.eclipse.emf.ecore.ENamedElement eNamedElement,
                           java.lang.String name,
                           boolean validate)

### setName

    protected void setName(org.eclipse.emf.ecore.ENamedElement eNamedElement,
                           NamedElement namedElement)

### getEType

    protected org.eclipse.emf.ecore.EClassifier getEType(Type type)

### getETypeParameter

    protected org.eclipse.emf.ecore.ETypeParameter getETypeParameter(Type type)

### getEGenericType

    protected org.eclipse.emf.ecore.EGenericType getEGenericType(Type type)

### getEType

    protected org.eclipse.emf.ecore.EClassifier getEType(TypedElement typedElement)

### getAppliedEcoreStereotype

    protected Stereotype getAppliedEcoreStereotype(Element element,
                                                   java.lang.String name)

### isEGenericType

    protected boolean isEGenericType(Classifier classifier)

### isEDataType

    public static boolean isEDataType(Namespace namespace)

### isEClass

    protected boolean isEClass(Namespace namespace)

### caseClass

    public java.lang.Object caseClass(Class class_)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Class'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseClass` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `class_` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Class'.
  See Also:
    `doSwitch(EObject)`

### caseComment

    public java.lang.Object caseComment(Comment comment)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Comment'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseComment` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `comment` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Comment'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public java.lang.Object caseConstraint(Constraint constraint)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseConstraint` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `constraint` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseDataType

    public java.lang.Object caseDataType(DataType dataType)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Data Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseDataType` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `dataType` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Type'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement eModelElement)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseEModelElement` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `eModelElement` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseEnumeration

    public java.lang.Object caseEnumeration(Enumeration enumeration)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Enumeration'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseEnumeration` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `enumeration` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Enumeration'.
  See Also:
    `doSwitch(EObject)`

### caseEnumerationLiteral

    public java.lang.Object caseEnumerationLiteral(EnumerationLiteral enumerationLiteral)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Enumeration Literal'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseEnumerationLiteral` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `enumerationLiteral` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Enumeration Literal'.
  See Also:
    `doSwitch(EObject)`

### caseGeneralization

    public java.lang.Object caseGeneralization(Generalization generalization)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Generalization'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseGeneralization` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `generalization` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Generalization'.
  See Also:
    `doSwitch(EObject)`

### caseInterfaceRealization

    public java.lang.Object caseInterfaceRealization(InterfaceRealization interfaceRealization)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Interface Realization'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseInterfaceRealization` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `interfaceRealization` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interface Realization'.
  See Also:
    `doSwitch(EObject)`

### caseInterface

    public java.lang.Object caseInterface(Interface interface_)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Interface'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseInterface` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `interface_` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Interface'.
  See Also:
    `doSwitch(EObject)`

### caseMultiplicityElement

    public java.lang.Object caseMultiplicityElement(MultiplicityElement multiplicityElement)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Multiplicity Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseMultiplicityElement` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `multiplicityElement` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Multiplicity Element'.
  See Also:
    `doSwitch(EObject)`

### caseOperation

    public java.lang.Object caseOperation(Operation operation)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Operation'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseOperation` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `operation` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation'.
  See Also:
    `doSwitch(EObject)`

### casePackage

    public java.lang.Object casePackage(Package package_)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Package'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePackage` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `package_` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package'.
  See Also:
    `doSwitch(EObject)`

### caseParameter

    public java.lang.Object caseParameter(Parameter parameter)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseParameter` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `parameter` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseParameterableElement

    public java.lang.Object caseParameterableElement(ParameterableElement parameterableElement)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Parameterable Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseParameterableElement` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `parameterableElement` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameterable Element'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveType

    public java.lang.Object casePrimitiveType(PrimitiveType primitiveType)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Primitive Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePrimitiveType` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `primitiveType` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primitive Type'.
  See Also:
    `doSwitch(EObject)`

### caseProperty

    public java.lang.Object caseProperty(Property property)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Property'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseProperty` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `property` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateParameter

    public java.lang.Object caseTemplateParameter(TemplateParameter templateParameter)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Template Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseTemplateParameter` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `templateParameter` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Template Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseTemplateSignature

    public java.lang.Object caseTemplateSignature(TemplateSignature templateSignature)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Template Signature'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseTemplateSignature` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `templateSignature` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Template Signature'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement typedElement)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseTypedElement` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `typedElement` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject eObject)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `eObject` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `UMLSwitch.doSwitch(org.eclipse.emf.ecore.EObject)`

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject eObject)

  Description copied from class: `UMLSwitch`
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Overrides:
    `doSwitch` in class `UMLSwitch<java.lang.Object>`
  Returns:
    the first non-null result returned by a `caseXXX` call.

### processEcoreTaggedValue

    protected void processEcoreTaggedValue(org.eclipse.emf.ecore.EModelElement eModelElement,
                                           org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                                           Element element,
                                           Stereotype stereotype,
                                           java.lang.String propertyName,
                                           java.util.Map<java.lang.String,java.lang.String> options,
                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EClassifier eClassifier,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EEnum eEnum,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EEnumLiteral eEnumLiteral,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EGenericType eGenericType,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EOperation eOperation,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EPackage ePackage,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EParameter eParameter,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.ETypeParameter eTypeParameter,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processRedefiningOperations

    protected void processRedefiningOperations(java.util.Map<java.lang.String,java.lang.String> options,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

### processRedefiningProperties

    protected void processRedefiningProperties(java.util.Map<java.lang.String,java.lang.String> options,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

### isCompositeSubset

    protected boolean isCompositeSubset(Property property)

### processSubsettingProperties

    protected void processSubsettingProperties(java.util.Map<java.lang.String,java.lang.String> options,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map<java.lang.Object,java.lang.Object> context)

### processUnionProperties

    protected void processUnionProperties(java.util.Map<java.lang.String,java.lang.String> options,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### processDerivedFeatures

    protected void processDerivedFeatures(java.util.Map<java.lang.String,java.lang.String> options,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### ensureConformity

    protected void ensureConformity(org.eclipse.emf.ecore.ETypedElement eTypedElement,
                                    org.eclipse.emf.ecore.ETypedElement otherETypedElement)

### qualifyName

    protected void qualifyName(org.eclipse.emf.ecore.ENamedElement eNamedElement)

### qualifyName

    protected void qualifyName(org.eclipse.emf.ecore.ENamedElement eNamedElement,
                               java.lang.String qualifier)

### processDuplicateOperations

    protected void processDuplicateOperations(java.util.Map<java.lang.String,java.lang.String> options,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

### processDuplicateOperationInheritance

    protected void processDuplicateOperationInheritance(java.util.Map<java.lang.String,java.lang.String> options,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### processDuplicateFeatures

    protected void processDuplicateFeatures(java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processDuplicateFeatureInheritance

    protected void processDuplicateFeatureInheritance(java.util.Map<java.lang.String,java.lang.String> options,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### processSuperClassOrder

    protected void processSuperClassOrder(java.util.Map<java.lang.String,java.lang.String> options,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### processComment

    protected void processComment(org.eclipse.emf.ecore.EModelElement eModelElement,
                                  java.lang.String comment,
                                  java.util.Map<java.lang.String,java.lang.String> options,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### processOperationBody

    protected void processOperationBody(org.eclipse.emf.ecore.EOperation eOperation,
                                        org.eclipse.emf.common.util.EList<java.lang.String> languages,
                                        org.eclipse.emf.common.util.EList<java.lang.String> bodies,
                                        java.util.Map<java.lang.String,java.lang.String> options,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### processOperationBodies

    protected void processOperationBodies(java.util.Map<java.lang.String,java.lang.String> options,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### processInvariantConstraint

    protected org.eclipse.emf.ecore.EModelElement processInvariantConstraint(org.eclipse.emf.ecore.EClassifier eClassifier,
                                                                             Constraint constraint,
                                                                             java.util.Map<java.lang.String,java.lang.String> options,
                                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                             java.util.Map<java.lang.Object,java.lang.Object> context)

### processAnnotationDetails

    protected void processAnnotationDetails(java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### processOptions

    protected void processOptions(java.util.Map<java.lang.String,java.lang.String> options,
                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### convert

    public java.util.Collection<? extends org.eclipse.emf.ecore.EObject> convert(java.util.Collection<? extends org.eclipse.emf.ecore.EObject> eObjects,
                                                                                 java.util.Map<java.lang.String,java.lang.String> options,
                                                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  Description copied from interface: `UML2Util.Converter`
  Converts the specified objects using the specified options, reporting problems to the specified diagnostics, within the specified context.

  Specified by:
    `convert` in interface `UML2Util.Converter`
  Parameters:
    `eObjects` - The objects to be converted.
    `options` - The options to use.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.
  Returns:
    Another representation of the objects.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.